Gnome Screensaver authentication bypass vulnerability (Ubuntu, maybe others)

http://www.securityfocus.com/bid/37240/info

This reminds me of the days of Windows 95/3.1 where you could bypass the
screensaver just by hitting the right sequence of keys.

This vulnerability specifically targets Ubuntu, but may be applicable to
other installations of v2.28 as well.

Testing the exploit under Fedora 11 and 12 does not duplicate the issue.

It is recommended for Ubuntu users to update their machines to the
latest version of gnome-screensaver to avoid this issue.

Thanks,
ep